%define major 6
%define libname %mklibname tasn1_ %{major}
%define devname %mklibname tasn1 -d

Summary:	The ASN.1 library used in GNUTLS
Name:		libtasn1
Version:	4.9
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://josefsson.org/libtasn1/
Source0:	http://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz
Source1:	http://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz.sig
Patch0:		libtasn1-3.4-rpath.patch
BuildRequires:	bison
%ifnarch %{arm} %{mips}
BuildRequires:	valgrind
%endif

%description
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The ASN.1 library used in GNUTLS
Group:		System/Libraries

%description -n %{libname}
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

%files -n %{libname}
%{_libdir}/libtasn1.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	The ASN.1 development files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

This contains development files and headers for %{name}.

%files -n %{devname}
%doc AUTHORS ChangeLog
%{_includedir}/libtasn1.h
%{_libdir}/libtasn1.so
%{_libdir}/libtasn1.a
%{_libdir}/pkgconfig/libtasn1.pc
%{_infodir}/libtasn1.info*
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%package tools
Summary:	Command line ASN.1 tools
License:	GPLv3+
Group:		Text tools

%description tools
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

This contains the command line tools to work with ASN.1 data.

%files tools
%doc NEWS README THANKS
%{_bindir}/asn*
%{_mandir}/man1/asn*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
%ifnarch %{arm} %{mips}
	--enable-valgrind-tests
%endif

%make

%install
%makeinstall_std

%check
make check


%changelog

* Tue Aug 23 2016 Denis Silakov <dsilakov@gmail.com> 4.9-1
- (954394d) Updated to 4.9


